<packet name="QuestJournalUpdate">
	<version number="1">
		<u16 name="num_quests">
		<array name="quests_array" count="var:num_quests">
			<str16 name="name">
			<str16 name="quest_type">
			<u8 name="journal_updated">
			<u8 name="turned_in">
			<u8 name="repeatable">
			<u32 name="quest_id">
			<u8 name="day">
			<u8 name="month">
			<u8 name="year">
			<u8 name="unknown2" size="5">
			<u8 name="difficulty">
			<u8 name="visible">
		</array>
		<u8 name="unknown3">
		<u32 name="visible_quest_id">
	</version>
	<version number="373">
		<u16 name="num_quests">
		<array name="quests_array" count="var:num_quests">
			<u8 name="active">
			<str16 name="name">
			<str16 name="quest_type">
			<str16 name="quest_zone">
			<u8 name="journal_updated">
			<u8 name="turned_in">
			<u8 name="repeatable">
			<u8 name="unknown2">
			<u8 name="completed">
			<u32 name="quest_id">
			<u8 name="day">
			<u8 name="month">
			<u8 name="year">
			<u8 name="level">
			<u8 name="encounter_level">
			<u8 name="difficulty">
			<u8 name="visible">
		</array>
		<u8 name="quest_updated">
		<u8 name="collapsed">
		<u32 name="visible_quest_id">
		<u32 name="player_crc">
		<str16 name="player_name">
		<u16 name="used_quests">
	</version>
	<version number="546">
		<u16 name="num_quests">
		<array name="quests_array" count="var:num_quests">
			<u8 name="active">
			<str16 name="name">
			<str16 name="quest_type">
			<str16 name="quest_zone">
			<u8 name="journal_updated">
			<u8 name="turned_in">
			<u8 name="repeatable">
			<u8 name="unknown2">
			<u8 name="completed">
			<u32 name="quest_id">
			<u8 name="day">
			<u8 name="month">
			<u8 name="year">
			<u8 name="level">
			<u8 name="encounter_level">
			<u8 name="difficulty">
			<u8 name="visible">
		</array>
		<u8 name="quest_updated">
		<u8 name="collapsed">
		<u32 name="visible_quest_id">
		<u32 name="player_crc">
		<str16 name="player_name">
		<u16 name="used_quests">
	</version>
	<version number="562">
		<u16 name="num_quests">
		<array name="quests_array" count="var:num_quests">
			<u8 name="active">
			<str16 name="name">
			<str16 name="quest_type">
			<str16 name="quest_zone">
			<u8 name="journal_updated">
			<u8 name="turned_in">
			<u8 name="repeatable">
			<u8 name="unknown2">
			<u8 name="completed">
			<u32 name="quest_id">
			<u8 name="day">
			<u8 name="month">
			<u8 name="year">
			<u8 name="level">
			<u8 name="encounter_level">
			<u8 name="difficulty">
			<u8 name="visible">
		</array>
		<u8 name="unknown3" size="2">
		<u32 name="visible_quest_id">
		<u32 name="player_crc">
		<str16 name="player_name">
		<u16 name="used_quests">
	</version>
	<version number="931">
		<u16 name="num_quest_zones">
		<array name="quest_zones_array" count="var:num_quest_zones">
			<str16 name="quest_zones_zone">
			<u16 name="quest_zones_zone_id">
		</array>
		<u16 name="num_quests">
		<array name="quests_array" count="var:num_quests">
			<u8 name="active">
			<str16 name="name">
			<u16 name="zonetype_id">
			<u16 name="zone_id">
			<u8 name="display_status">
			<u32 name="quest_id">
			<u8 name="day">
			<u8 name="month">
			<u8 name="year">
			<u8 name="level">
			<u8 name="encounter_level">
			<u8 name="difficulty">
			<u8 name="completed">
			<u8 name="repeatable">
		</array>
		<u8 name="unknown3" size="2">
		<u32 name="visible_quest_id">
		<u32 name="player_crc">
		<str16 name="player_name">
		<u16 name="used_quests">
	</version>
	<version number="1028">
		<u16 name="num_quest_zones">
		<array name="quest_zones_array" count="var:num_quest_zones">
			<str16 name="quest_zones_zone">
			<u16 name="quest_zones_zone_id">
		</array>
		<u16 name="num_quests">
		<array name="quests_array" count="var:num_quests">
			<u8 name="active">
			<str16 name="name">
			<u16 name="zonetype_id">
			<u16 name="zone_id">
			<u8 name="display_status">
			<u32 name="quest_id">
			<u8 name="day">
			<u8 name="month">
			<u8 name="year">
			<u8 name="level">
			<u8 name="encounter_level">
			<u8 name="difficulty">
			<u8 name="completed">
			<u8 name="repeatable">
		</array>
		<u8 name="unknown3" size="2">
		<u32 name="visible_quest_id">
		<u32 name="player_crc">
		<str16 name="player_name">
		<u16 name="used_quests">
		<u8 name="unknown4">
	</version>
	<version number="1096">
		<u16 name="num_quest_zones">
		<array name="quest_zones_array" count="var:num_quest_zones">
			<str16 name="quest_zones_zone">
			<u16 name="quest_zones_zone_id">
		</array>
		<u16 name="num_quests">
		<array name="quests_array" count="var:num_quests">
			<u8 name="active">
			<str16 name="name">
			<u16 name="zonetype_id">
			<u16 name="zone_id">
			<u8 name="display_status">
			<u32 name="quest_id">
			<u8 name="day">
			<u8 name="month">
			<u8 name="year">
			<u8 name="level">
			<u8 name="encounter_level">
			<u8 name="difficulty">
			<u8 name="completed">
			<u8 name="repeatable">
		</array>
		<u8 name="unknown3" size="2">
		<u32 name="visible_quest_id">
		<u32 name="player_crc">
		<str16 name="player_name">
		<u16 name="used_quests">
		<u8 name="unknown4a">
		<u8 name="max_quests">
	</version>
</packet>